Home | All Classes | Grouped Classes | Index | Search

# Class CL_NetObject_Controller

Network object replication channel. More...

Derived from: none
Derived by: none
Group: Network (NetObjects)

#include <ClanLib/network.h>

Construction:

CL_NetObject_Controller | Constructs a netobject controller.

Operations:

operator = |

Signals:

sig_create_object | Signal that is called whenever the netobject channel receives a message for a netobject it doesnt know. The application should hook a slot into this signal and determine what to do with the message.

Implementation:

impl | NetObjectController implementation.

Detailed description:

!group=Network/NetObjects! !header=network.h!

Manages a netchannel with netobject replication data. It dispatches incoming messages to the correct netobject.

Questions or comments, write to the ClanLib mailing list.